# Class TransferHandler.DropLocation

java.lang.Object
javax.swing.TransferHandler.DropLocation

Direct Known Subclasses:
  `JList.DropLocation, JTable.DropLocation, JTextComponent.DropLocation, JTree.DropLocation`

Enclosing class:
  `TransferHandler`

public static class TransferHandler.DropLocation extends Object
Represents a location where dropped data should be inserted. This is a base class that only encapsulates a point. Components supporting drop may provide subclasses of this containing more information.

Developers typically shouldn't create instances of, or extend, this class. Instead, these are something provided by the DnD implementation by `TransferSupport` instances and by components with a `getDropLocation()` method.

Since:
  1.6
See Also:
  - `TransferHandler.TransferSupport.getDropLocation()`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DropLocation(Point dropPoint)`
  Constructs a drop location for the given point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Point`
  `getDropPoint()`
  Returns the drop point, representing the mouse's current location within the component.
  `String`
  `toString()`
  Returns a string representation of this drop location.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### DropLocation

    protected DropLocation(Point dropPoint)
    Constructs a drop location for the given point.
    Parameters:
      `dropPoint` - the drop point, representing the mouse's current location within the component.
    Throws:
      `IllegalArgumentException` - if the point is `null`

- ## Method Details

  - ### getDropPoint

    public final Point getDropPoint()
    Returns the drop point, representing the mouse's current location within the component.
    Returns:
      the drop point.

  - ### toString

    public String toString()
    Returns a string representation of this drop location. This method is intended to be used for debugging purposes, and the content and format of the returned string may vary between implementations.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this drop location